#ifndef PLUGINS_WINDOW_H
#define PLUGINS_WINDOW_H

#include <QDialog>
#include <QMenu>
#include "plugins_window.h"
#include "ui_plugins_window.h"
#include "SH_plugins_loader.h"


class PluginsWindow: public QDialog, public Ui::PluginsWindow {
	Q_OBJECT
public:
	explicit PluginsWindow(QWidget * parent = 0);
	~PluginsWindow();
	
private:
	void showEvent(QShowEvent * );

	SHPluginsLoader plugins;

private slots:
	void updateList();
	
};

#endif // PLUGINS_WINDOW_H
